package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class PrecioRentaDTO extends BaseDTO{

	private static final long serialVersionUID = -8245029952494485266L;
	
	private String[][] precio;
	private Integer aplica;
	private Integer pagoPPE;
	private List<List<String>> precioL;
	private List<TerminosPaisDTO>   paises;

	
	public String[][] getPrecio() {
		return precio;
	}
	public void setPrecio(String[][] precio) {
		this.precio = precio;
	}
	public Integer getAplica() {
		return aplica;
	}
	public void setAplica(Integer aplica) {
		this.aplica = aplica;
	}

	public List<TerminosPaisDTO> getPaises() {
		return paises;
	}
	public void setPaises(List<TerminosPaisDTO> paises) {
		this.paises = paises;
	}
	public List<List<String>> getPrecioL() {
		return precioL;
	}
	public Integer getPagoPPE() {
		return pagoPPE;
	}
	public void setPagoPPE(Integer pagoPPE) {
		this.pagoPPE = pagoPPE;
	}
	public void setPrecioL(List<List<String>> precioL) {
		this.precioL = precioL;
		if(precioL != null)
		{
			this.precio =  new String[precioL.size()][precioL.get(0).size()];		
			for(int i=0; i<precioL.size();i++)
				for(int j=0; j<precioL.get(0).size();j++)			
					this.precio[i][j] = precioL.get(i).get(j);	
		}
	}

	
}
